Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154323 - xfsprogs 2.7.3 are released
Summary: xfsprogs 2.7.3 are released
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfsprogs
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL: ftp://oss.sgi.com/projects/xfs/downlo...
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-04-09 21:36 UTC by Robert Scheck
Modified: 2013-07-03 02:24 UTC (History)
4 users (show)

Fixed In Version: 2.7.3-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-11 15:30:15 UTC


Attachments (Terms of Use)
xfsprogs-2.6.25-gcc4.patch (deleted)
2005-04-09 21:37 UTC, Robert Scheck
no flags Details | Diff
Diff from xfsprogs 2.6.13 to 2.6.36 spec file (deleted)
2005-08-28 16:55 UTC, Robert Scheck
no flags Details | Diff
Diff from xfsprogs 2.6.13-5 to 2.7.3-1 spec file (deleted)
2005-11-05 00:50 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2005-04-09 21:36:29 UTC
Description of problem:
xfsprogs 2.6.25 were released at December 12th, 2004 while Fedora Core 
Development hangs around at 2.6.13.

Version-Release number of selected component (if applicable):
xfsprogs-2.6.13-3

Actual results:
xfsprogs 2.6.25 need a patch for rebuilding with gcc 4.0 - like the currently 
used 2.6.13 one. 

I merged my patch from bug #153968 for the newer xfsprogs; but I'm not sure,
whether my patch is correct - but it still works for me ;-)

Expected results:
Upgrade to 2.6.25... ;-)

Comment 1 Robert Scheck 2005-04-09 21:37:49 UTC
Created attachment 112917 [details]
xfsprogs-2.6.25-gcc4.patch

Comment 2 Robert Scheck 2005-05-29 12:27:33 UTC
Marking as a todo for FC5 - because FC4 is frozen, yet :-(

Comment 3 Robert Scheck 2005-08-27 23:00:32 UTC
Ping? Hey Jeff - or other Red Hat guys - wake up, please ;-)

Even xfsprogs 2.6.36 were released on August 1st, 2005 and nothing happend in 
Fedora Core Development!

Comment 4 Robert Scheck 2005-08-28 16:55:33 UTC
Created attachment 118194 [details]
Diff from xfsprogs 2.6.13 to 2.6.36 spec file

Okay...here is, what you maybe wanted the whole time for - a pre-masticated and
clean diff/patch. And can we *please* get this patch soon into Rawhide, thank
you very much! ;-)

Comment 5 Robert Scheck 2005-11-05 00:47:55 UTC
Florian, I'm adding you as Cc, because you were the last person, who modified 
xfsprogs. I still can't understand why the xfsprogs aren't upgraded for such 
long time?!

Is there a plan to remove xfsprogs support from Fedora or is the original 
maintainer no longer working for Red Hat - or is my suggested patch not sane?

Patch from 2.6.13-5 to 2.7.3-1 is following in a few minutes. Would be very 
nice, if somebody could check and apply it to CVS, if it's sane. Thanks! :)

Comment 6 Robert Scheck 2005-11-05 00:50:45 UTC
Created attachment 120748 [details]
Diff from xfsprogs 2.6.13-5 to 2.7.3-1 spec file

Okay, here's my christmas present for Red Hat ;-)

Comment 7 Robert Scheck 2005-11-11 15:30:15 UTC
Florian, thank you very much for committing to CVS and building in Rawhide, 
closing now.


Note You need to log in before you can comment on or make changes to this bug.